function iftext = loadIFtemplate( templatefile, ifdata )
    fulltemplatefile = fullfile( GFtboxDirectory(), 'IFtemplates', [templatefile,'.txt'] );
    [iftext,ok] = readfile( fulltemplatefile );
    if ~ok
        complain( '%s: Failed to find interaction function template file %s in directory %s.txt.', ...
            mfilename(), templatefile, fullfile( GFtboxDirectory(), 'IFtemplates' ) );
        return;
    end
    if nargin > 1
        iftext = insertdata( iftext, ifdata );
    end
end

function insertData()
	%Not implemented.
end
